
all: mod_access_referer.so

install: mod_access_referer.so
	apxs -i -a mod_access_referer.so

mod_access_referer.so: mod_access_referer.c
	apxs -c mod_access_referer.c

clean:
	-rm mod_access_referer.so mod_access_referer.o

dist:
	-rm -rf mod_access_referer-`cat VERSION`
	-rm mod_access_referer-`cat VERSION`.tar.gz
	mkdir mod_access_referer-`cat VERSION`
	cp ChangeLog HACKING LICENSE.txt Makefile README TODO VERSION mod_access_referer.c mod_access_referer.html mod_access_referer-`cat VERSION`/
	GZIP=--best gtar -czf mod_access_referer-`cat VERSION`.tar.gz mod_access_referer-`cat VERSION`
	-rm -rf mod_access_referer-`cat VERSION`

